aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorEli Zaretskii <eliz@gnu.org>2013-04-29 19:07:15 +0300
committerEli Zaretskii <eliz@gnu.org>2013-04-29 19:07:15 +0300
commitf876eae297cf4ce7f6605d021bc61d1ae8c5f4e9 (patch)
tree208b046c851eebb6db1ba8ed93712501cae282ff
parente88a6bcbaf9f0b131c31dfb30cef52ba8f74adb8 (diff)
downloadegawk-f876eae297cf4ce7f6605d021bc61d1ae8c5f4e9.tar.gz
egawk-f876eae297cf4ce7f6605d021bc61d1ae8c5f4e9.tar.bz2
egawk-f876eae297cf4ce7f6605d021bc61d1ae8c5f4e9.zip
More fixes for pc/Makefile.tst.
pc/Makefile.tst (mpfr-tests, shlib-tests, rsnulbig, rsnulbig2): Insert a space between ' and the following / to prevent MSYS Bash from interpreting that as a Unix-style file name.
-rw-r--r--pc/ChangeLog6
-rw-r--r--pc/Makefile.tst8
2 files changed, 10 insertions, 4 deletions
diff --git a/pc/ChangeLog b/pc/ChangeLog
index 788002e5..cd8a6db9 100644
--- a/pc/ChangeLog
+++ b/pc/ChangeLog
@@ -1,3 +1,9 @@
+2013-04-29 Eli Zaretskii <eliz@gnu.org>
+
+ * Makefile.tst (mpfr-tests, shlib-tests, rsnulbig, rsnulbig2):
+ Insert a space between ' and the following / to prevent MSYS Bash
+ from interpreting that as a Unix-style file name.
+
2013-04-28 Eli Zaretskii <eliz@gnu.org>
* Makefile.tst (top_srcdir): Define. This avoids failure in a few
diff --git a/pc/Makefile.tst b/pc/Makefile.tst
index 76b8a86e..78ad5ad1 100644
--- a/pc/Makefile.tst
+++ b/pc/Makefile.tst
@@ -259,13 +259,13 @@ inet: inetmesg $(INET_TESTS)
machine-tests: $(MACHINE_TESTS)
mpfr-tests:
- @if $(AWK) --version | $(AWK) '/MPFR/ { exit 1 }' ; then \
+ @if $(AWK) --version | $(AWK) ' /MPFR/ { exit 1 }' ; then \
echo MPFR tests not supported on this system ; \
else $(MAKE) $(MPFR_TESTS) ; \
fi
shlib-tests:
- @if $(AWK) --version | $(AWK) '/API/ { exit 1 }' ; then \
+ @if $(AWK) --version | $(AWK) ' /API/ { exit 1 }' ; then \
echo shlib tests not supported on this system ; \
else $(MAKE) shlib-real-tests ; \
fi
@@ -593,7 +593,7 @@ rsnulbig::
@ : Suppose that block size for pipe is at most 128kB:
@$(AWK) 'BEGIN { for (i = 1; i <= 128*64+1; i++) print "abcdefgh123456\n" }' 2>&1 | \
$(AWK) 'BEGIN { RS = ""; ORS = "\n\n" }; { print }' 2>&1 | \
- $(AWK) '/^[^a]/; END{ print NR }' >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+ $(AWK) ' /^[^a]/; END{ print NR }' >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@-$(CMP) $(srcdir)/$@.ok _$@ && rm -f _$@
rsnulbig2::
@@ -601,7 +601,7 @@ rsnulbig2::
@$(AWK) 'BEGIN { ORS = ""; n = "\n"; for (i = 1; i <= 10; i++) n = (n n); \
for (i = 1; i <= 128; i++) print n; print "abc\n" }' 2>&1 | \
$(AWK) 'BEGIN { RS = ""; ORS = "\n\n" };{ print }' 2>&1 | \
- $(AWK) '/^[^a]/; END { print NR }' >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
+ $(AWK) ' /^[^a]/; END { print NR }' >_$@ 2>&1 || echo EXIT CODE: $$? >>_$@
@-$(CMP) $(srcdir)/$@.ok _$@ && rm -f _$@
wideidx::